max = 100

gerade_quadrate_lang = []
for i in range(1, max):
    if i % 2 == 0:
        gerade_quadrate_lang.append(i * i)

gerade_quadrate_kurz = [i * i for i in range(1, max) if i % 2 == 0]

print(f"Liste (iterativ): {gerade_quadrate_lang}")
print(f"Liste (funktional):   {gerade_quadrate_kurz}")